Loading...
Searching...
No Matches
Opm::Connection::CTFProperties Struct Reference

Quantities that go into calculating the connection transmissibility factor. More...

`#include <Connection.hpp>`

## Public Member Functions

bool | operator== (const CTFProperties &that) const
| Equality operator.
bool | operator!= (const CTFProperties &that) const
| Inequality operator.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Serialisation operator.

## Static Public Member Functions

static CTFProperties | serializationTestObject ()
| Serialisation test object.

## Public Attributes

double | CF {}
| Static connection transmissibility factor calculated from input quantities.
double | Kh {}
| Static 'Kh' product.
double | Ke {}
| Effective permeability.
double | rw {}
| Connection's wellbore radius.
double | r0 {}
| Connection's pressure equivalent radius.
double | re {}
| Connection's area equivalent radius–mostly for use by the polymer code.
double | connection_length {}
| Length of connection's perfororation interval.
double | skin_factor {}
| Connection's skin factor.
double | d_factor {}
| Connection's D factor-i.e., the flow-dependent skin factor for gas.
double | static_dfac_corr_coeff {}
| Product of certain static elements of D-factor correlation law (WDFACCOR keyword).
double | peaceman_denom {}
| Denominator in peaceman's formula-i.e., log(r0/rw) + skin.

## Detailed Description

Quantities that go into calculating the connection transmissibility factor.

## Member Function Documentation

## operator!=()

bool Opm::Connection::CTFProperties::operator!= | ( | const CTFProperties & | that | ) | const

inline

Inequality operator.

Parameters

  [in] | that | Property object to which `*this` will be compared.

## operator==()

bool Opm::Connection::CTFProperties::operator== | ( | const CTFProperties & | that | ) | const

Equality operator.

Parameters

  [in] | that | Property object to which `*this` will be compared.

## serializeOp()

template<class Serializer>

void Opm::Connection::CTFProperties::serializeOp | ( | Serializer & | serializer | ) |

inline

Serialisation operator.

Template Parameters

  Serializer | Protocol for serialising and deserialising objects between memory and character buffers.

Parameters

  [in,out] | serializer | Serialisation object.

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/Well/Connection.hpp
- opm/input/eclipse/Schedule/Well/Connection.cpp